#!/bin/bash
#
# Copyright (C) 2024 MOXA Inc. All rights reserved.
# This software is distributed under the terms of the MOXA SOFTWARE NOTICE.
# See the file LICENSE for details.
#
# Authors:
#       2024  Wilson YS Huang  <wilsonys.huang@moxa.com>

source "${INSTL_SCRIPT_DIR}/lib/util.sh"
source "${INSTL_SCRIPT_DIR}/lib/logger.sh"
source "${INSTL_SCRIPT_DIR}/lib/colors.sh"
log::init "${INSTL_LOG_FILE}" "${INSTL_LOG_LEVEL}"

set -e

main() {
        if util::is_exists "/usr/sbin/mxIrigUtil"; then
                log::info "$(printf " %-50s$(colors::green %-15s)%-15s\n" "- mxIrigUtil" "Yes" "N/A")"
        else
                log::info "$(printf " %-50s$(colors::red %-15s)%-15s\n" "- mxIrigUtil" "No" "N/A")"
        fi

        if util::is_exists "/lib/systemd/system/mx_irigb.service"; then
                if systemctl is-enabled mx_irigb >/dev/null 2>&1; then
                        log::info "$(printf " %-50s$(colors::green %-15s)$(colors::green %-25s)\n" "- IRIG-B service" "Yes" "Enabled")"
                else
                        log::info "$(printf " %-50s$(colors::green %-15s)$(colors::red %-25s)\n" "- IRIG-B service" "Yes" "Disabled")"
                fi
        else
                log::info "$(printf " %-50s$(colors::red %-15s)%-25s\n" "- IRIG-B service" "No" "N/A")"
        fi
}

main "$@"
